package com.rjconsultores.ventaboletos.rest.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.rjconsultores.routing.ReadOnlyConnection;
import com.rjconsultores.ventaboletos.dao.RutaDAO;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.rest.bean.ParamsSincronizarRuta;
import com.rjconsultores.ventaboletos.vo.ruta.RutaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Service("sincronizarRutaService")
public class SincronizarRutaService {

	@ReadOnlyConnection
	public List<RutaVO> buscarListaRutasPorId(ParamsSincronizarRuta params) {
		RutaDAO rutaDAO = (RutaDAO)AppContext.getApplicationContext().getBean("rutaDAO");
		Integer[] arr = new Integer[params.getListRutas().size()]; 
        arr = params.getListRutas().toArray(arr);
        
		List<Ruta> listaRuta = rutaDAO.buscarTodosEstos(arr);
		List<RutaVO> listaRutaVO = new ArrayList<RutaVO>();
		for (Ruta ruta : listaRuta) {
			listaRutaVO.add( new RutaVO(ruta) );
		}
		
		return listaRutaVO;
	}	
	
}
